Package org.drinkless.tdlib

# Class TdApi.ChatPhotoStickerTypeRegularOrMask

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatPhotoStickerType
org.drinkless.tdlib.TdApi.ChatPhotoStickerTypeRegularOrMask

Enclosing class:
  TdApi

public static class TdApi.ChatPhotoStickerTypeRegularOrMask extends TdApi.ChatPhotoStickerType
Information about the sticker, which was used to create the chat photo.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatPhotoStickerType

  `TdApi.ChatPhotoStickerType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `stickerId`
  Identifier of the sticker in the set.
  `long`
  `stickerSetId`
  Sticker set identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatPhotoStickerTypeRegularOrMask()`
  Information about the sticker, which was used to create the chat photo.
  `ChatPhotoStickerTypeRegularOrMask(long stickerSetId, long stickerId)`
  Information about the sticker, which was used to create the chat photo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerSetId

    public long stickerSetId
    Sticker set identifier.

  - ### stickerId

    public long stickerId
    Identifier of the sticker in the set.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatPhotoStickerTypeRegularOrMask

    public ChatPhotoStickerTypeRegularOrMask()
    Information about the sticker, which was used to create the chat photo.

  - ### ChatPhotoStickerTypeRegularOrMask

    public ChatPhotoStickerTypeRegularOrMask(long stickerSetId, long stickerId)
    Information about the sticker, which was used to create the chat photo.
    Parameters:
      `stickerSetId` - Sticker set identifier.
      `stickerId` - Identifier of the sticker in the set.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatPhotoStickerType`
    Returns:
      this.CONSTRUCTOR